/*
 * Copyright 2013 Alexander Baumgartner
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package at.jku.risc.stout.urauc.data;

import java.util.Arrays;

import at.jku.risc.stout.urauc.data.atom.TermAtom;

/**
 * A list of {@linkplain TermAtom}s which is used for alignment computation.
 * 
 * @author Alexander Baumgartner
 */
public class TermAtomList {
	public int size;
	public TermAtom[] atoms;

	public TermAtomList() {
		this(64);
	}

	public TermAtomList(int capacity) {
		atoms = new TermAtom[capacity];
	}

	public void add(TermAtom atom) {
		if (size == atoms.length)
			atoms = Arrays.copyOf(atoms, size + (size >> 1));
		atoms[size] = atom;
		size++;
	}
}